Name:           maliit-framework
Version:        0.94.2
Release:        %mkrel 11
Summary:        Input method framework

Group:          System/Libraries
License:        LGPLv2
URL:            http://maliit.org/
Source0:        http://maliit.org/releases/%{name}/%{name}-%{version}.tar.bz2

BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: doxygen
BuildRequires: glib2-devel
BuildRequires: gobject-introspection-devel
BuildRequires: gtk2-devel
BuildRequires: gtk+3-devel
BuildRequires: gtk-doc
BuildRequires: hunspell-devel
BuildRequires: libx11-devel
BuildRequires: qt4-devel
BuildRequires: systemd-devel
BuildRequires: pkgconfig(libudev)

%description
Maliit provides a flexible and cross-platform input method framework. It has a
plugin-based client-server architecture where applications act as clients and
communicate with the Maliit server via input context plugins. The communication
link currently uses D-Bus.

%package qt4
Summary: Development package for %{name}
Group: Development/C++
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description qt4
Files for development with %{name}.

%package gtk2
Summary: Development package for %{name}
Group: Development/C
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description gtk2
Files for development with %{name}.

%package gtk3
Summary: Development package for %{name}
Group: Development/C
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description gtk3
Files for development with %{name}.

%package devel
Summary: Development files
Group: System/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%package docs
Summary: Documentation files for %{name}
Group: Development/C
Requires: %{name} = %{version}-%{release}
Requires: gtk-doc
BuildArch: noarch

%description docs
This package contains developer documentation for %{name}.

%package examples
Summary: Tests and examples for %{name}
Group: Development/C
Requires: %{name} = %{version}-%{release}
Requires: %{name}-gtk2 = %{version}-%{release}
Requires: %{name}-gtk3 = %{version}-%{release}
Requires: %{name}-qt4 = %{version}-%{release}
Requires: python-gi

%description examples
This package contains tests and examples for %{name}.

%prep
%setup -q

%build
#qmake_qt4 \
%{_libdir}/qt4/bin/qmake \
	     -r MALIIT_VERSION=%{version} PREFIX=%{_prefix} \
             BINDIR=%{_bindir} LIBDIR=%{_libdir} INCLUDEDIR=%{_includedir} \
             MALIIT_ENABLE_MULTITOUCH=true \
             CONFIG+=disable-gtk-cache-update CONFIG+=disable-preedit \
             CONFIG+=enable-hunspell CONFIG+=enable-dbus-activation \
	     CONFIG+=disable-background-translucency \
	     LIBS+=-lXfixes

%make_build V=1

%install
%make_install INSTALL_ROOT=%{buildroot}

find %{buildroot} -name '.moc' -delete
find %{buildroot} -name '.gitignore' -delete

%files
%doc LICENSE.LGPL README NEWS
%{_bindir}/maliit-server
%{_libdir}/libmaliit*.so.*
%dir %{_libdir}/maliit
%{_libdir}/maliit/plugins
%{_libdir}/girepository-1.0/Maliit-1.0.typelib
%{_datadir}/dbus-1/services/org.maliit.server.service

%files qt4
%{_libdir}/qt4/plugins/inputmethods/libmaliit*

%files gtk2
%{_libdir}/gtk-2.0/2.10.0/immodules/libim-maliit.so

%files gtk3
%{_libdir}/gtk-3.0/3.0.0/immodules/libim-maliit.so

%files devel
%{_includedir}/maliit/
%{_libdir}/libmaliit*.so
%{_libdir}/pkgconfig/maliit*.pc
%{_libdir}/qt4/mkspecs/features/maliit*
%{_datadir}/gir-1.0/Maliit-1.0.gir

%files docs
%{_datadir}/doc/maliit-framework
%{_datadir}/gtk-doc/html/maliit

%files examples
%{_bindir}/maliit-example*
%{_libdir}/maliit-framework-tests


%changelog
* Thu Nov 17 2016 daviddavid <daviddavid> 0.94.2-11.mga6
+ Revision: 1068087
- add missing BR on pkgconfig(libudev)

* Wed Feb 03 2016 umeabot <umeabot> 0.94.2-10.mga6
+ Revision: 933148
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.94.2-9.mga5
+ Revision: 746250
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0.94.2-8.mga5
+ Revision: 725115
- rebuild for bogus file deps

* Fri Sep 26 2014 wally <wally> 0.94.2-7.mga5
+ Revision: 724939
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.94.2-6.mga5
+ Revision: 682142
- Mageia 5 Mass Rebuild

* Sun Jul 20 2014 colin <colin> 0.94.2-5.mga5
+ Revision: 654755
- Drop RPM scripts for immodules (handled by filetriggers)
- Drop manual ldconfig calls (not needed on Mageia)

* Sat Nov 02 2013 fwang <fwang> 0.94.2-4.mga4
+ Revision: 548929
- add requires on python-gi

* Sat Oct 19 2013 umeabot <umeabot> 0.94.2-3.mga4
+ Revision: 523979
- Mageia 4 Mass Rebuild

* Mon May 27 2013 zezinho <zezinho> 0.94.2-2.mga4
+ Revision: 428687
- new version
- plugins dir renamed
- maliit-sdk removed

* Sat Jan 12 2013 umeabot <umeabot> 0.93.1-2.mga3
+ Revision: 359343
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 zezinho <zezinho> 0.93.1-1.mga3
+ Revision: 332207
- fix build
- default mageia qmake fails
- fix rpm groups
- fix rpm groups
- fix underlink
- start from fedora spec
- imported package maliit-framework


* Fri Nov  9 2012 Peter Robinson <pbrobinson@fedoraproject.org> 0.93.1-1
- New 0.93.1 release

* Mon Oct 29 2012 Peter Robinson <pbrobinson@fedoraproject.org> 0.93.0-1
- New 0.93.0 release

* Tue Oct  9 2012 Peter Robinson <pbrobinson@fedoraproject.org> 0.92.5.1-1
- 0.95.2.1 to add support for detecting tablet mode changes

* Thu Oct  4 2012 Peter Robinson <pbrobinson@fedoraproject.org> 0.92.5-2
- Fix the updating of the gtk2 IM module cache

* Thu Sep 27 2012 Peter Robinson <pbrobinson@fedoraproject.org> 0.92.5-1
- New 0.92.5 release, update based on review comments

* Tue Aug 14 2012 Peter Robinson <pbrobinson@fedoraproject.org> 0.92.4-1
- Initial packaging
